import board, digitalio, time
from analogio import AnalogIn
from audiocore import WaveFile

try:
    from audioio import AudioOut
except ImportError:
    try:
        from audiopwmio import PWMAudioOut as AudioOut
    except ImportError:
        print("This board does not support AudioOut")
        pass

audio = AudioOut(board.D3)

led = digitalio.DigitalInOut(board.D2)
led.direction = digitalio.Direction.OUTPUT

button_1 = digitalio.DigitalInOut(board.D10)
button_1.direction = digitalio.Direction.INPUT
button_1.pull = digitalio.Pull.UP

button_2 = digitalio.DigitalInOut(board.D9)
button_2.direction = digitalio.Direction.INPUT
button_2.pull = digitalio.Pull.UP

button_3 = digitalio.DigitalInOut(board.D8)
button_3.direction = digitalio.Direction.INPUT
button_3.pull = digitalio.Pull.UP

enabled = False

potentiometer = AnalogIn(board.A1)

foodChoice = 1

path = "sounds/"

def play_sound(filename):
    with open(path + filename, "rb") as wave_file:
        wave = WaveFile(wave_file)
        audio.play(wave)
        while audio.playing:
            pass

while True:
    if potentiometer.value > 350:
        foodChoice = 2
    else:
        foodChoice = 1
    if not button_1.value:
        if enabled == False:
            enabled = True
        else:
            enabled = False
        time.sleep(0.2)
    if enabled == True:
        led.value = True
    else:
        led.value = False
    if not button_2.value:
        play_sound("Thank You.wav")
    if not button_3.value:
        if foodChoice == 1:
            play_sound("Food Option 1.wav")
        elif foodChoice == 2:
            play_sound("Food Option 2.wav")
    time.sleep(0.1)
